/*
 * LineUtility.java
 *
 * Utility class to read the n-th line from a file
 *
 */

import java.io.*;

public class LineUtility {

    // method to read a specified line from a file
    static String getLine(String filename, int linenumber) {
        String line = null;
        BufferedReader in = null;

        // associate a reader to the file
        try {
            in = new BufferedReader(new FileReader(filename));
            System.out.println("Opened file: " + filename);
        } catch (FileNotFoundException e) {
            System.out.println("File not found: ");
            e.printStackTrace();
            return line = "File not found";
        }
        try {
            for (int i = 1; i <= linenumber; i++) {
                line = in.readLine();
                if (line == null) {
                    line = "Line not found";
                    in.close();
                    return line;
                }
            }
        } catch (IOException e) {
            System.out.println("Line not found: ");
            e.printStackTrace();
            return line = "Line not found";
        }
        System.out.println("Selected line: " + line);
        return line;
    } // getLine

    // method to get the next line from an already opened file
    static String getNextLine(BufferedReader in) {
        String line = null;
        try {
            if ((line = in.readLine()) == null) {
                in.close();

                line = "No line available";
            }
        } catch (FileNotFoundException e) {
            System.out.println("File not found: ");
            e.printStackTrace();
            return line = "File not found";
        } catch (IOException e) {
            System.out.println("Error while reading line: ");
            e.printStackTrace();
            line = "No line available";
        }
        return line;
    } //getNextLine
}
